# $Revision: 1.20 $, $Date: 2004/04/26 22:28:42 $
Summary:	C++ glue to SDL (Simple DirectMedia Layer)
Summary(pl):	Interfejs C++ do SDL
Name:		SDLmm
Version:	0.1.8
Release:	6
License:	LGPL
Group:		X11/Libraries
Source0:	http://dl.sourceforge.net/sdlmm/%{name}-%{version}.tar.bz2
# Source0-md5:	0a05d27d1aed72af3c7a37b6378f50e5
Patch0:		%{name}-am18.patch
URL:		http://sdlmm.sourceforge.net/
BuildRequires:	SDL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a C++ glue to SDL (Simple DirectMedia Layer) library- a
low-level, cross-platform multimedia library. SDLmm will utilize C++
features while still being close to SDL in syntax (and naming).

%description -l pl
Jest to cznik midzy C++ a SDL (Simple DirectMedia Layer),
niskopoziomow bibliotek multimedialn. SDLmm wykorzysta cechy C++
wci bdc w skadni (i w nazewnictwie) blisko SDL.

%package devel
Summary:	Header files and more to develop SDLmm applications
Summary(pl):	Pliki nagwkowe do rozwijania aplikacji uywajcych SDLmm
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel
Requires:	libstdc++-devel

%description devel
Header files and more to develop SDLmm applications.

%description devel -l pl
Pliki nagwkowe do rozwijania aplikacji uywajcych SDLmm.

%package static
Summary:	Static SDLmm libraries
Summary(pl):	Statyczne biblioteki SDLmm
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Statis SDL_image libraries.

%description static -l pl
Statyczne biblioteki SDL_image.

%prep
%setup -q
%patch0 -p1

# kill sinclude and copy of libtool.m4
tail -n +3 acinclude.m4 | head -n 176 > acinclude.m4.tmp
mv -f acinclude.m4.tmp acinclude.m4

%build
%{__libtoolize}
%{__aclocal} -I .
%{__autoconf}
%{__automake}
%configure
%{__make} \
	CXXFLAGS="-I`pwd`/src -pipe %{rpmcflags} -Woverloaded-virtual -fno-exceptions -fno-rtti -W -Wall -Wno-unused -Wcast-align -I/usr/include/SDL -D_REENTRANT"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README THANKS AUTHORS
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc docs/html/*.html docs/html/*.gif docs/html/*.css
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/SDLmm
%{_aclocaldir}/*
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: SDLmm.spec,v $
Revision 1.20  2004/04/26 22:28:42  qboosh
- rebuild ac/am/lt (needed for proper C++ library linking)
- added am18 patch (sdlmm.m4 quotation fix), BR+R libstdc++-devel
- release 6

Revision 1.19  2004/04/26 07:16:56  adamg
- release 5 for Ac (4 is for Ra)

Revision 1.18  2004/02/07 22:54:10  wolf
- autoshit... disabled regeneration, so it may compile now

Revision 1.17  2003/08/18 08:07:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.16  2003/07/06 23:27:14  blues
- many small fixes, mostly inpired by kloczek

Revision 1.15  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.14  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/02/21 16:05:27  qboosh
- working Source0 URL

Revision 1.12  2003/01/18 22:56:19  juandon
- removed two lines with define

Revision 1.11  2002/10/09 13:14:15  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.10  2002/08/04 07:37:07  kloczek
- release 4; use new %doc.

Revision 1.9  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.8  2002/05/21 23:12:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/03/20 15:44:06  kloczek
- release 3: fix %define _mandir macro.

Revision 1.6  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/27 18:16:41  filon
- correct manpages location
- release 2

Revision 1.4  2002/01/18 02:12:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/09/15 15:23:42  filon
- fixed spelling miastke in pl desc

Revision 1.2  2001/09/13 19:58:22  kloczek
- add %%{_includedir}/SDLmm also to devel subpackage,
- added regenerate also lt files,
- added missing BuildRequires,
- fixed Group fields in all packages,
- fix %install for install aclocal files in proper path.

Revision 1.1  2001/09/13 18:43:36  jajcus
- new spec
